CVE-2004-1117
CVSS7.2
发布时间 :2005-01-10 00:00:00
修订时间 :2008-09-10 15:29:11
NMCO    

[原文]The init scripts in ChessBrain 20407 and earlier execute user-owned programs with root privileges, which allows local users to gain privileges by modifying the programs.


[CNNVD]chessbrain.net ChessBrain init 用户权限提升漏洞(CNNVD-200501-223)

        ChessBrain是一款国际象棋游戏。
        ChessBrain 20407及之前版本中存在用户权限提升漏洞。
        由于init脚本使用root权限执行用户属主程序,这使得本地用户可以通过修改程序来获取权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1117
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1117
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-223
(官方数据源) CNNVD

- 其它链接及资源

http://www.gentoo.org/security/en/glsa/glsa-200411-26.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200411-26
http://xforce.iss.net/xforce/xfdb/18149
(VENDOR_ADVISORY)  XF  seti@home-gain-privileges(18149)

- 漏洞信息

chessbrain.net ChessBrain init 用户权限提升漏洞
高危 未知
2005-01-10 00:00:00 2005-10-20 00:00:00
本地  
        ChessBrain是一款国际象棋游戏。
        ChessBrain 20407及之前版本中存在用户权限提升漏洞。
        由于init脚本使用root权限执行用户属主程序,这使得本地用户可以通过修改程序来获取权限。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.chessbrain.net/

- 漏洞信息

11925
ChessBrain Insecure File Ownership Local Privilege Escalation
Local Access Required Other
Loss of Integrity
Exploit Unknown

- 漏洞描述

ChessBrain contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is due to improper file ownership allowing user-owned files to be run with root privileges by init script. By installing the ChessBrain, a local attacker can gain root privileges, resulting in a loss of integrity.

- 时间线

2004-11-17 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 20407-r1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站